Legrand / Raritan / Server Technology Xerus™ JSON-RPC API: sensors::Sensor Interface Reference

Legrand / Raritan / Server Technology Xerus™ JSON-RPC API

Loading...
Searching...
No Matches
Classes | Public Types | Public Member Functions | Public Attributes | List of all members
sensors::Sensor Interface Reference

Sensor interface More...

`import <Sensor.idl;`

Inheritance diagram for sensors::Sensor:

## Classes
struct | TypeSpec
| Complete sensor type specification. More...
struct | TypeSpecChangedEvent
| Event: The type specification of the sensor changed. More...

## Public Types
enum | OnOffState { OFF , ON }
| Sensor states for DISCRETE_ON_OFF sensors. More...
enum | OpenClosedState { OPEN , CLOSED }
enum | NormalAlarmedState { NORMAL , ALARMED }
enum | OkFaultState { OK , FAULT }

## Public Member Functions
TypeSpec | getTypeSpec ()
| Retrieve the sensor type specification.
boolean | isTypeChangeAllowed ()
| Check whether the sensor type can be changed using setType().
int | setType (in int type, in int unit)
| Set sensor type and unit.

## Public Attributes
constant int | ERR_NOT_SUPPORTED = 1
| The operation is not supported.
constant int | NUMERIC = 0
| Sensor reading type
constant int | DISCRETE_ON_OFF = 1
constant int | DISCRETE_MULTI = 2
constant int | UNSPECIFIED = 0
| Sensor type
constant int | VOLTAGE = 1
constant int | CURRENT = 2
constant int | UNBALANCE_CURRENT = 3
constant int | POWER = 4
constant int | POWER_FACTOR = 5
constant int | ENERGY = 6
constant int | FREQUENCY = 7
constant int | TEMPERATURE = 8
constant int | HUMIDITY = 9
constant int | AIR_FLOW = 10
constant int | AIR_PRESSURE = 11
constant int | CONTACT_CLOSURE = 12
constant int | ON_OFF_SENSOR = 13
constant int | TRIP_SENSOR = 14
constant int | VIBRATION = 15
constant int | WATER_LEAK = 16
constant int | SMOKE_DETECTOR = 17
constant int | TOTAL_HARMONIC_DISTORTION = 18
constant int | MASS = 19
constant int | ELECTRICAL_RESISTANCE = 20
constant int | FLUX = 21
constant int | LUMINOUS_INTENSITY = 22
constant int | ACCELERATION = 23
constant int | MAGNETIC_FLUX_DENSITY = 24
constant int | ELECTRIC_FIELD_STRENGTH = 25
constant int | MAGNETIC_FIELD_STRENGTH = 26
constant int | ANGLE = 27
constant int | SELECTION = 28
constant int | FAULT_STATE = 29
constant int | POWER_QUALITY = 30
constant int | ROTATIONAL_SPEED = 31
constant int | LUMINOUS_ENERGY = 32
constant int | LUMINOUS_FLUX = 33
constant int | ILLUMINANCE = 34
constant int | LUMINOUS_EMITTANCE = 35
constant int | MOTION = 36
constant int | OCCUPANCY = 37
constant int | TAMPER = 38
constant int | DRY_CONTACT = 39
constant int | POWERED_DRY_CONTACT = 40
constant int | ABSOLUTE_HUMIDITY = 41
constant int | DOOR_STATE = 42
constant int | DOOR_LOCK_STATE = 43
constant int | DOOR_HANDLE_LOCK = 44
constant int | CREST_FACTOR = 45
constant int | DISTANCE = 46
constant int | LENGTH = 47
constant int | UNBALANCE_VOLTAGE = 48
constant int | PARTICLE_DENSITY = 49
constant int | DEW_POINT = 50
constant int | ELECTRICAL_IMPEDANCE = 51
constant int | TS_BYPASS_STATE = 52
constant int | BATTERY_LEVEL = 53
constant int | NONE = 0
| Sensor unit
constant int | VOLT = 1
constant int | AMPERE = 2
constant int | WATT = 3
constant int | VOLT_AMP = 4
constant int | WATT_HOUR = 5
constant int | VOLT_AMP_HOUR = 6
constant int | DEGREE_CELSIUS = 7
constant int | HZ = 8
constant int | PERCENT = 9
constant int | METER_PER_SEC = 10
constant int | PASCAL = 11
constant int | G = 12
constant int | RPM = 13
constant int | METER = 14
constant int | HOUR = 15
constant int | MINUTE = 16
constant int | SECOND = 17
constant int | VOLT_AMP_REACTIVE = 18
constant int | VOLT_AMP_REACTIVE_HOUR = 19
constant int | GRAM = 20
constant int | OHM = 21
constant int | LITERS_PER_HOUR = 22
constant int | CANDELA = 23
constant int | METER_PER_SQUARE_SEC = 24
constant int | METER_PER_SQARE_SEC = 24
constant int | TESLA = 25
constant int | VOLT_PER_METER = 26
constant int | VOLT_PER_AMPERE = 27
constant int | DEGREE = 28
constant int | DEGREE_FAHRENHEIT = 29
constant int | KELVIN = 30
constant int | JOULE = 31
constant int | COULOMB = 32
constant int | NIT = 33
constant int | LUMEN = 34
constant int | LUMEN_SECOND = 35
constant int | LUX = 36
constant int | PSI = 37
constant int | NEWTON = 38
constant int | FOOT = 39
constant int | FOOT_PER_SEC = 40
constant int | CUBIC_METER = 41
constant int | RADIANT = 42
constant int | STERADIANT = 43
constant int | HENRY = 44
constant int | FARAD = 45
constant int | MOL = 46
constant int | BECQUEREL = 47
constant int | GRAY = 48
constant int | SIEVERT = 49
constant int | G_PER_CUBIC_METER = 50
constant int | UG_PER_CUBIC_METER = 51

## Detailed Description

Sensor interface

Definition at line 15 of file Sensor.idl.

## Member Enumeration Documentation

## ◆ NormalAlarmedState

enum sensors::Sensor::NormalAlarmedState

Enumerator
NORMAL | normal (not alarmed)
ALARMED | alarmed

Definition at line 35 of file Sensor.idl.

## ◆ OkFaultState

enum sensors::Sensor::OkFaultState

Enumerator
OK | OK.
FAULT | fault

Definition at line 40 of file Sensor.idl.

## ◆ OnOffState

enum sensors::Sensor::OnOffState

Sensor states for DISCRETE_ON_OFF sensors.

Enumerator
OFF | off
ON | on

Definition at line 25 of file Sensor.idl.

## ◆ OpenClosedState

enum sensors::Sensor::OpenClosedState

Enumerator
OPEN | open
CLOSED | closed

Definition at line 30 of file Sensor.idl.

## Member Function Documentation

## ◆ getTypeSpec()

TypeSpec sensors::Sensor::getTypeSpec | ( |  | ) |

Retrieve the sensor type specification.

Returns
  Type specification

## ◆ isTypeChangeAllowed()

boolean sensors::Sensor::isTypeChangeAllowed | ( |  | ) |

Check whether the sensor type can be changed using setType().

Returns
  \true if type change is allowed

## ◆ setType()

int sensors::Sensor::setType | ( | in int | type,
|  | in int | unit )

Set sensor type and unit.

Parameters

  type | the sensor type to set
  unit | the sensor unit to set

Returns
  ERR_NOT_SUPPORTED or 0

## Member Data Documentation

## ◆ ABSOLUTE_HUMIDITY

constant int sensors::Sensor::ABSOLUTE_HUMIDITY = 41

Definition at line 95 of file Sensor.idl.

## ◆ ACCELERATION

constant int sensors::Sensor::ACCELERATION = 23

Definition at line 73 of file Sensor.idl.

## ◆ AIR_FLOW

constant int sensors::Sensor::AIR_FLOW = 10

Definition at line 57 of file Sensor.idl.

## ◆ AIR_PRESSURE

constant int sensors::Sensor::AIR_PRESSURE = 11

Definition at line 58 of file Sensor.idl.

## ◆ AMPERE

constant int sensors::Sensor::AMPERE = 2

Definition at line 120 of file Sensor.idl.

## ◆ ANGLE

constant int sensors::Sensor::ANGLE = 27

Definition at line 77 of file Sensor.idl.

## ◆ BATTERY_LEVEL

constant int sensors::Sensor::BATTERY_LEVEL = 53

Definition at line 115 of file Sensor.idl.

## ◆ BECQUEREL

constant int sensors::Sensor::BECQUEREL = 47

Definition at line 170 of file Sensor.idl.

## ◆ CANDELA

constant int sensors::Sensor::CANDELA = 23

Definition at line 144 of file Sensor.idl.

## ◆ CONTACT_CLOSURE

constant int sensors::Sensor::CONTACT_CLOSURE = 12

Definition at line 59 of file Sensor.idl.

## ◆ COULOMB

constant int sensors::Sensor::COULOMB = 32

Definition at line 155 of file Sensor.idl.

## ◆ CREST_FACTOR

constant int sensors::Sensor::CREST_FACTOR = 45

Definition at line 100 of file Sensor.idl.

## ◆ CUBIC_METER

constant int sensors::Sensor::CUBIC_METER = 41

Definition at line 164 of file Sensor.idl.

## ◆ CURRENT

constant int sensors::Sensor::CURRENT = 2

Definition at line 49 of file Sensor.idl.

## ◆ DEGREE

constant int sensors::Sensor::DEGREE = 28

Definition at line 150 of file Sensor.idl.

## ◆ DEGREE_CELSIUS

constant int sensors::Sensor::DEGREE_CELSIUS = 7

Definition at line 125 of file Sensor.idl.

## ◆ DEGREE_FAHRENHEIT

constant int sensors::Sensor::DEGREE_FAHRENHEIT = 29

Definition at line 152 of file Sensor.idl.

## ◆ DEW_POINT

constant int sensors::Sensor::DEW_POINT = 50

Definition at line 109 of file Sensor.idl.

## ◆ DISCRETE_MULTI

constant int sensors::Sensor::DISCRETE_MULTI = 2

Definition at line 22 of file Sensor.idl.

## ◆ DISCRETE_ON_OFF

constant int sensors::Sensor::DISCRETE_ON_OFF = 1

Definition at line 21 of file Sensor.idl.

## ◆ DISTANCE

constant int sensors::Sensor::DISTANCE = 46

Definition at line 102 of file Sensor.idl.

## ◆ DOOR_HANDLE_LOCK

constant int sensors::Sensor::DOOR_HANDLE_LOCK = 44

Definition at line 98 of file Sensor.idl.

## ◆ DOOR_LOCK_STATE

constant int sensors::Sensor::DOOR_LOCK_STATE = 43

Definition at line 97 of file Sensor.idl.

## ◆ DOOR_STATE

constant int sensors::Sensor::DOOR_STATE = 42

Definition at line 96 of file Sensor.idl.

## ◆ DRY_CONTACT

constant int sensors::Sensor::DRY_CONTACT = 39

Definition at line 92 of file Sensor.idl.

## ◆ ELECTRIC_FIELD_STRENGTH

constant int sensors::Sensor::ELECTRIC_FIELD_STRENGTH = 25

Definition at line 75 of file Sensor.idl.

## ◆ ELECTRICAL_IMPEDANCE

constant int sensors::Sensor::ELECTRICAL_IMPEDANCE = 51

Definition at line 111 of file Sensor.idl.

## ◆ ELECTRICAL_RESISTANCE

constant int sensors::Sensor::ELECTRICAL_RESISTANCE = 20

Definition at line 69 of file Sensor.idl.

## ◆ ENERGY

constant int sensors::Sensor::ENERGY = 6

Definition at line 53 of file Sensor.idl.

## ◆ ERR_NOT_SUPPORTED

constant int sensors::Sensor::ERR_NOT_SUPPORTED = 1

The operation is not supported.

Definition at line 17 of file Sensor.idl.

## ◆ FARAD

constant int sensors::Sensor::FARAD = 45

Definition at line 168 of file Sensor.idl.

## ◆ FAULT_STATE

constant int sensors::Sensor::FAULT_STATE = 29

Definition at line 80 of file Sensor.idl.

## ◆ FLUX

constant int sensors::Sensor::FLUX = 21

Definition at line 70 of file Sensor.idl.

## ◆ FOOT

constant int sensors::Sensor::FOOT = 39

Definition at line 162 of file Sensor.idl.

## ◆ FOOT_PER_SEC

constant int sensors::Sensor::FOOT_PER_SEC = 40

Definition at line 163 of file Sensor.idl.

## ◆ FREQUENCY

constant int sensors::Sensor::FREQUENCY = 7

Definition at line 54 of file Sensor.idl.

## ◆ G

constant int sensors::Sensor::G = 12

Definition at line 130 of file Sensor.idl.

## ◆ G_PER_CUBIC_METER

constant int sensors::Sensor::G_PER_CUBIC_METER = 50

Definition at line 173 of file Sensor.idl.

## ◆ GRAM

constant int sensors::Sensor::GRAM = 20

Definition at line 140 of file Sensor.idl.

## ◆ GRAY

constant int sensors::Sensor::GRAY = 48

Definition at line 171 of file Sensor.idl.

## ◆ HENRY

constant int sensors::Sensor::HENRY = 44

Definition at line 167 of file Sensor.idl.

## ◆ HOUR

constant int sensors::Sensor::HOUR = 15

Definition at line 133 of file Sensor.idl.

## ◆ HUMIDITY

constant int sensors::Sensor::HUMIDITY = 9

Definition at line 56 of file Sensor.idl.

## ◆ HZ

constant int sensors::Sensor::HZ = 8

Definition at line 126 of file Sensor.idl.

## ◆ ILLUMINANCE

constant int sensors::Sensor::ILLUMINANCE = 34

Definition at line 86 of file Sensor.idl.

## ◆ JOULE

constant int sensors::Sensor::JOULE = 31

Definition at line 154 of file Sensor.idl.

## ◆ KELVIN

constant int sensors::Sensor::KELVIN = 30

Definition at line 153 of file Sensor.idl.

## ◆ LENGTH

constant int sensors::Sensor::LENGTH = 47

Definition at line 103 of file Sensor.idl.

## ◆ LITERS_PER_HOUR

constant int sensors::Sensor::LITERS_PER_HOUR = 22

Definition at line 142 of file Sensor.idl.

## ◆ LUMEN

constant int sensors::Sensor::LUMEN = 34

Definition at line 157 of file Sensor.idl.

## ◆ LUMEN_SECOND

constant int sensors::Sensor::LUMEN_SECOND = 35

Definition at line 158 of file Sensor.idl.

## ◆ LUMINOUS_EMITTANCE

constant int sensors::Sensor::LUMINOUS_EMITTANCE = 35

Definition at line 87 of file Sensor.idl.

## ◆ LUMINOUS_ENERGY

constant int sensors::Sensor::LUMINOUS_ENERGY = 32

Definition at line 84 of file Sensor.idl.

## ◆ LUMINOUS_FLUX

constant int sensors::Sensor::LUMINOUS_FLUX = 33

Definition at line 85 of file Sensor.idl.

## ◆ LUMINOUS_INTENSITY

constant int sensors::Sensor::LUMINOUS_INTENSITY = 22

Definition at line 72 of file Sensor.idl.

## ◆ LUX

constant int sensors::Sensor::LUX = 36

Definition at line 159 of file Sensor.idl.

## ◆ MAGNETIC_FIELD_STRENGTH

constant int sensors::Sensor::MAGNETIC_FIELD_STRENGTH = 26

Definition at line 76 of file Sensor.idl.

## ◆ MAGNETIC_FLUX_DENSITY

constant int sensors::Sensor::MAGNETIC_FLUX_DENSITY = 24

Definition at line 74 of file Sensor.idl.

## ◆ MASS

constant int sensors::Sensor::MASS = 19

Definition at line 68 of file Sensor.idl.

## ◆ METER

constant int sensors::Sensor::METER = 14

Definition at line 132 of file Sensor.idl.

## ◆ METER_PER_SEC

constant int sensors::Sensor::METER_PER_SEC = 10

Definition at line 128 of file Sensor.idl.

## ◆ METER_PER_SQARE_SEC

constant int sensors::Sensor::METER_PER_SQARE_SEC = 24

Definition at line 146 of file Sensor.idl.

## ◆ METER_PER_SQUARE_SEC

constant int sensors::Sensor::METER_PER_SQUARE_SEC = 24

Definition at line 145 of file Sensor.idl.

## ◆ MINUTE

constant int sensors::Sensor::MINUTE = 16

Definition at line 134 of file Sensor.idl.

## ◆ MOL

constant int sensors::Sensor::MOL = 46

Definition at line 169 of file Sensor.idl.

## ◆ MOTION

constant int sensors::Sensor::MOTION = 36

Definition at line 89 of file Sensor.idl.

## ◆ NEWTON

constant int sensors::Sensor::NEWTON = 38

Definition at line 161 of file Sensor.idl.

## ◆ NIT

constant int sensors::Sensor::NIT = 33

Definition at line 156 of file Sensor.idl.

## ◆ NONE

constant int sensors::Sensor::NONE = 0

Sensor unit

Definition at line 118 of file Sensor.idl.

## ◆ NUMERIC

constant int sensors::Sensor::NUMERIC = 0

Sensor reading type

Definition at line 20 of file Sensor.idl.

## ◆ OCCUPANCY

constant int sensors::Sensor::OCCUPANCY = 37

Definition at line 90 of file Sensor.idl.

## ◆ OHM

constant int sensors::Sensor::OHM = 21

Definition at line 141 of file Sensor.idl.

## ◆ ON_OFF_SENSOR

constant int sensors::Sensor::ON_OFF_SENSOR = 13

Definition at line 60 of file Sensor.idl.

## ◆ PARTICLE_DENSITY

constant int sensors::Sensor::PARTICLE_DENSITY = 49

Definition at line 107 of file Sensor.idl.

## ◆ PASCAL

constant int sensors::Sensor::PASCAL = 11

Definition at line 129 of file Sensor.idl.

## ◆ PERCENT

constant int sensors::Sensor::PERCENT = 9

Definition at line 127 of file Sensor.idl.

## ◆ POWER

constant int sensors::Sensor::POWER = 4

Definition at line 51 of file Sensor.idl.

## ◆ POWER_FACTOR

constant int sensors::Sensor::POWER_FACTOR = 5

Definition at line 52 of file Sensor.idl.

## ◆ POWER_QUALITY

constant int sensors::Sensor::POWER_QUALITY = 30

Definition at line 81 of file Sensor.idl.

## ◆ POWERED_DRY_CONTACT

constant int sensors::Sensor::POWERED_DRY_CONTACT = 40

Definition at line 93 of file Sensor.idl.

## ◆ PSI

constant int sensors::Sensor::PSI = 37

Definition at line 160 of file Sensor.idl.

## ◆ RADIANT

constant int sensors::Sensor::RADIANT = 42

Definition at line 165 of file Sensor.idl.

## ◆ ROTATIONAL_SPEED

constant int sensors::Sensor::ROTATIONAL_SPEED = 31

Definition at line 82 of file Sensor.idl.

## ◆ RPM

constant int sensors::Sensor::RPM = 13

Definition at line 131 of file Sensor.idl.

## ◆ SECOND

constant int sensors::Sensor::SECOND = 17

Definition at line 135 of file Sensor.idl.

## ◆ SELECTION

constant int sensors::Sensor::SELECTION = 28

Definition at line 79 of file Sensor.idl.

## ◆ SIEVERT

constant int sensors::Sensor::SIEVERT = 49

Definition at line 172 of file Sensor.idl.

## ◆ SMOKE_DETECTOR

constant int sensors::Sensor::SMOKE_DETECTOR = 17

Definition at line 64 of file Sensor.idl.

## ◆ STERADIANT

constant int sensors::Sensor::STERADIANT = 43

Definition at line 166 of file Sensor.idl.

## ◆ TAMPER

constant int sensors::Sensor::TAMPER = 38

Definition at line 91 of file Sensor.idl.

## ◆ TEMPERATURE

constant int sensors::Sensor::TEMPERATURE = 8

Definition at line 55 of file Sensor.idl.

## ◆ TESLA

constant int sensors::Sensor::TESLA = 25

Definition at line 147 of file Sensor.idl.

## ◆ TOTAL_HARMONIC_DISTORTION

constant int sensors::Sensor::TOTAL_HARMONIC_DISTORTION = 18

Definition at line 66 of file Sensor.idl.

## ◆ TRIP_SENSOR

constant int sensors::Sensor::TRIP_SENSOR = 14

Definition at line 61 of file Sensor.idl.

## ◆ TS_BYPASS_STATE

constant int sensors::Sensor::TS_BYPASS_STATE = 52

Definition at line 113 of file Sensor.idl.

## ◆ UG_PER_CUBIC_METER

constant int sensors::Sensor::UG_PER_CUBIC_METER = 51

Definition at line 174 of file Sensor.idl.

## ◆ UNBALANCE_CURRENT

constant int sensors::Sensor::UNBALANCE_CURRENT = 3

Definition at line 50 of file Sensor.idl.

## ◆ UNBALANCE_VOLTAGE

constant int sensors::Sensor::UNBALANCE_VOLTAGE = 48

Definition at line 105 of file Sensor.idl.

## ◆ UNSPECIFIED

constant int sensors::Sensor::UNSPECIFIED = 0

Sensor type

Definition at line 46 of file Sensor.idl.

## ◆ VIBRATION

constant int sensors::Sensor::VIBRATION = 15

Definition at line 62 of file Sensor.idl.

## ◆ VOLT

constant int sensors::Sensor::VOLT = 1

Definition at line 119 of file Sensor.idl.

## ◆ VOLT_AMP

constant int sensors::Sensor::VOLT_AMP = 4

Definition at line 122 of file Sensor.idl.

## ◆ VOLT_AMP_HOUR

constant int sensors::Sensor::VOLT_AMP_HOUR = 6

Definition at line 124 of file Sensor.idl.

## ◆ VOLT_AMP_REACTIVE

constant int sensors::Sensor::VOLT_AMP_REACTIVE = 18

Definition at line 137 of file Sensor.idl.

## ◆ VOLT_AMP_REACTIVE_HOUR

constant int sensors::Sensor::VOLT_AMP_REACTIVE_HOUR = 19

Definition at line 138 of file Sensor.idl.

## ◆ VOLT_PER_AMPERE

constant int sensors::Sensor::VOLT_PER_AMPERE = 27

Definition at line 149 of file Sensor.idl.

## ◆ VOLT_PER_METER

constant int sensors::Sensor::VOLT_PER_METER = 26

Definition at line 148 of file Sensor.idl.

## ◆ VOLTAGE

constant int sensors::Sensor::VOLTAGE = 1

Definition at line 48 of file Sensor.idl.

## ◆ WATER_LEAK

constant int sensors::Sensor::WATER_LEAK = 16

Definition at line 63 of file Sensor.idl.

## ◆ WATT

constant int sensors::Sensor::WATT = 3

Definition at line 121 of file Sensor.idl.

## ◆ WATT_HOUR

constant int sensors::Sensor::WATT_HOUR = 5

Definition at line 123 of file Sensor.idl.

The documentation for this interface was generated from the following file:

- Sensor.idl